[pkg-kolab] r119 - trunk/kolabd/debian/patches

Noel Koethe noel at costa.debian.org
Fri Jan 6 13:35:52 UTC 2006


Author: noel
Date: 2006-01-06 13:35:51 +0000 (Fri, 06 Jan 2006)
New Revision: 119

Added:
   trunk/kolabd/debian/patches/40-slapd.conf.template.dpatch
Modified:
   trunk/kolabd/debian/patches/00list
Log:
correcting slapd.conf for debian usage

Modified: trunk/kolabd/debian/patches/00list
===================================================================
--- trunk/kolabd/debian/patches/00list	2006-01-06 13:02:39 UTC (rev 118)
+++ trunk/kolabd/debian/patches/00list	2006-01-06 13:35:51 UTC (rev 119)
@@ -1,3 +1,4 @@
 10-perl-path-fixes
 20-kolabquotawarn-issue851
 30-bootstrap.dpatch
+40-slapd.conf.template.dpatch

Added: trunk/kolabd/debian/patches/40-slapd.conf.template.dpatch
===================================================================
--- trunk/kolabd/debian/patches/40-slapd.conf.template.dpatch	2006-01-06 13:02:39 UTC (rev 118)
+++ trunk/kolabd/debian/patches/40-slapd.conf.template.dpatch	2006-01-06 13:35:51 UTC (rev 119)
@@ -0,0 +1,89 @@
+#!/bin/sh -e
+## 40-slapd.conf.template.dpatch by Noèl Köthe <noel at debian.org>
+##
+## All lines beginning with `## DP:' are a description of the patch.
+## DP: This is the patch from the rpm
+
+if [ $# -lt 1 ]; then
+echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+exit 1
+fi
+
+[ -f debian/patches/00patch-opts ] && . debian/patches/00patch-opts
+patch_opts="${patch_opts:--f --no-backup-if-mismatch}"
+
+case "$1" in
+      -patch) patch $patch_opts -p1 < $0;;
+      -unpatch) patch $patch_opts -p1 -R < $0;;
+      *)
+      echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+      exit 1;;
+esac
+
+exit 0
+
+ at DPATCH@
+--- slapd.conf.template.orig	2006-01-06 14:04:34.000000000 +0100
++++ slapd.conf.template	2006-01-06 14:20:08.000000000 +0100
+@@ -9,31 +9,31 @@
+ # file mode 0640
+ 
+ # manual additions are lost unless made to the template in the Kolab config directory
+-# the template is  @l_prefix@/etc/kolab/slapd.conf.template
++# the template is  /etc/kolab/slapd.conf.template
+ 
+-include @l_prefix@/etc/openldap/schema/core.schema
+-include @l_prefix@/etc/openldap/schema/cosine.schema
+-include @l_prefix@/etc/openldap/schema/inetorgperson.schema
+-include @l_prefix@/etc/openldap/schema/rfc2739.schema
+-include @l_prefix@/etc/openldap/schema/kolab2.schema
+-
+-pidfile		@l_prefix@/var/openldap/run/slapd.pid
+-replica-pidfile	@l_prefix@/var/openldap/run/slurpd.pid
+-argsfile	@l_prefix@/var/openldap/slapd.args
+-replogfile      @l_prefix@/var/openldap/replog
++include /etc/ldap/schema/core.schema
++include /etc/ldap/schema/cosine.schema
++include /etc/ldap/schema/inetorgperson.schema
++include /usr/share/kolabd/schema/rfc2739.schema
++include /usr/share/kolabd/schema/kolab2.schema
++
++pidfile		/var/lib/ldap/run/slapd.pid
++replica-pidfile	/var/lib/ldap/run/slurpd.pid
++argsfile	/var/lib/ldap/slapd.args
++replogfile      /var/lib/ldap/replog
+ replicationinterval 5
+ 
+ schemacheck 	       on
+ 
+-TLSCertificateFile     @l_prefix@/etc/kolab/cert.pem
+-TLSCertificateKeyFile  @l_prefix@/etc/kolab/key.pem
++TLSCertificateFile     /etc/kolab/cert.pem
++TLSCertificateKeyFile  /etc/kolab/key.pem
+ 
+-rootDSE                @l_prefix@/etc/kolab/rootDSE.ldif
++rootDSE                /etc/kolab/rootDSE.ldif
+ 
+ defaultsearchbase      "@@@base_dn@@@"
+ 
+ require 	none
+-allow 		bind_v2
++#allow 		bind_v2
+ 
+ loglevel	0
+ 
+@@ -47,7 +47,7 @@
+                    # Please report to kolab-devel at kolab.org if you encounter such a client.
+ 
+ suffix		"@@@base_dn@@@"
+-directory	@l_prefix@/var/openldap/openldap-data
++directory	/var/lib/ldap/
+ 
+ rootdn          "@@@bind_dn@@@"
+ rootpw          "@@@bind_pw_hash@@@"
+@@ -161,4 +161,4 @@
+  	by group/kolabGroupOfNames="cn=maintainer,cn=internal,@@@base_dn@@@" write
+ 	by * read stop
+ 
+-include @l_prefix@/etc/openldap/slapd.replicas
++include /etc/ldap/slapd.replicas


Property changes on: trunk/kolabd/debian/patches/40-slapd.conf.template.dpatch
___________________________________________________________________
Name: svn:executable
   + *




More information about the pkg-kolab-devel mailing list